package com.tzld.longarticle.recommend.server.common.enums;

import lombok.Getter;

@Getter
public enum ScoreStrategyEnum {
    ACCOUNT_PRE_DISTRIBUTE_STRATEGY("AccountPreDistributeStrategy"),
    CATEGORY_STRATEGY("CategoryStrategy"),
    CONTENT_POOL_STRATEGY("ContentPoolStrategy"),
    FLOW_CTL_DECREASE_STRATEGY("FlowCtlDecreaseStrategy"),
    HIS_FISSION_AVG_READ_RATE_CORRELATION_RATE_STRATEGY("HisFissionAvgReadRateCorrelationRateStrategy"),
    HIS_FISSION_AVG_READ_RATE_RATE_STRATEGY("HisFissionAvgReadRateRateStrategy"),
    HIS_FISSION_AVG_READ_SUM_RATE_STRATEGY("HisFissionAvgReadSumRateStrategy"),
    HIS_FISSION_DE_WEIGHT_AVG_READ_SUM_RATE_STRATEGY("HisFissionDeWeightAvgReadSumRateStrategy"),
    HIS_FISSION_FANS_RATE_RATE_STRATEGY("HisFissionFansRateRateStrategy"),
    HIS_FISSION_FANS_SUM_RATE_STRATEGY("HisFissionFansSumRateStrategy"),
    PUBLISH_TIMES_STRATEGY("PublishTimesStrategy"),
    SIMILARITY_STRATEGY("SimilarityStrategy"),
    VIEW_COUNT_RATE_CORRELATION_STRATEGY("ViewCountRateCorrelationStrategy"),
    VIEW_COUNT_RATE_STRATEGY("ViewCountRateStrategy"),
    VIEW_COUNT_STRATEGY("ViewCountStrategy"),
    VIEW_MULTIPLIER_STRATEGY("ViewMultiplierStrategy"),
    ;

    private final String strategy;

    ScoreStrategyEnum(String strategy) {
        this.strategy = strategy;
    }
}
